#pragma once
#include "stringlistctrl.h"


// CUserImportDialog ダイアログ

class CUserImportDialog : public CDialog
{
	DECLARE_DYNAMIC(CUserImportDialog)

public:
	CUserImportDialog(CWnd* pParent = NULL);   // 標準コンストラクタ
	virtual ~CUserImportDialog();

// ダイアログ データ
	enum { IDD = IDD_USER_IMPORT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート

	DECLARE_MESSAGE_MAP()
public:
	CStringListCtrl m_user;
	CImageList	m_imageList;
	CString GetToken(CString &line);
	CString Fgets(FILE *in);
	void ParseItem(CString path);
	afx_msg void OnBnClickedOpen();
	virtual BOOL OnInitDialog();
};
